# Client facing REST API

## Main Use Cases:

* Deal Blotter Data
* Order Blotter Data

{% hint style="info" %}

#### Other Use Cases when client infrastructure is not responsible for certain validations:

* Execution workflow
* Order placing workflow
* Order cancellation workflow
  {% endhint %}

#### Critical points for Deal and Order Blotter Data:

* SSO Oauth2 process for user authentication (can be provided by FXWebAPI as well)
* Use Customer Code on FXWebAPI side to not pass customer data to FXWebAPI

#### Non-critical points of Deal and Order Blotter Data:

* Latency
* Who is delivering this service (SOA can also be a middleman between the end client and FXWebAPI)

FXWebAPI integration workflow for client-facing REST API:

![](/files/-MHQCy0kPylN825qFJWG)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.fxwebapi.com/rest-api/client-facing-rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
